public class Rectangle extends GeometricObject {
  private double width;
  private double height;

  public Rectangle() {
  }

  public Rectangle(double width, double height) {
    this.width = width;
    this.height = height;
  }

  /** Zwraca szerokość */
  public double getWidth() {
    return width;
  }

  /** Ustawia nową szerokość */
  public void setWidth(double width) {
    this.width = width;
  }

  /** Zwraca wysokość */
  public double getHeight() {
    return height;
  }

  /** Ustawia nową wysokość */
  public void setHeight(double height) {
    this.height = height;
  }

  @Override /** Zwraca powierzchnię */
  public double getArea() {
    return width * height;
  }

  @Override /** Zwraca obwód */
  public double getPerimeter() {
    return 2 * (width + height);
  }
}
